#include "Engine/GUI/NoBackground.hpp"

namespace sl
{
namespace gui
{

NoBackground::NoBackground()
{
}

/*		WidgetBackground public methods			*/
void NoBackground::draw(sf::RenderTarget& target) const
{
}

std::unique_ptr<WidgetBackground> NoBackground::clone() const
{
	return std::make_unique<NoBackground>();
}

/*		WidgetBackground private methods		*/
void NoBackground::move(int x, int y)
{
}

void NoBackground::setSize(int width, int height)
{
}

} // gui
} // sl