#include "Engine/Serialization/Impl/SerializeFrame.hpp"

#include "Engine/Serialization/Serialization.hpp"

namespace sl
{

namespace AutoDeserialize
{
void deserialize(Deserialize& in, Framerate::Frame& val)
{
	val.index = in.i("index");
	val.duration = in.i("duration");
}
} // AutoDeserialize

namespace AutoSerialize
{
void serialize(Serialize& out, const Framerate::Frame& val)
{
	out.i("index", val.index);
	out.i("duration", val.duration);
}
} // AutoSerialize

}// sl