#include "Engine/Serialization/Impl/SerializeSoul.hpp"

#include "Engine/Serialization/Serialization.hpp"

#include "Town/World.hpp"

namespace sl
{

namespace AutoDeserialize
{

void deserialize(Deserialize& in, std::shared_ptr<Soul>& val)
{
	val = in.getWorld()->getSoul(in.u64("soulID"));
}

} // AutoDeserialize

namespace AutoSerialize
{

void serialize(Serialize& out, const std::shared_ptr<Soul>& val)
{
	out.u64("soulID", val->getID());
}

} // AutoSerialize
} // sl