//#ifndef SL_JSONSERIALIZE_HPP
//#define SL_JSONSERIALIZE_HPP
//
//#include <json11/json11.hpp>
//
//#include <stack>
//
//#include "Engine/Serialization/Serialization.hpp"
//
//namespace sl
//{
//
//class JSONSerialize : public Serialize
//{
//public:
//	JSONSerialize(const std::string& fname);
//
//	void u8(const std::string& name, uint8_t val) override;
//
//	void u16(const std::string& name, uint16_t val) override;
//
//	void u32(const std::string& name, uint32_t val) override;
//
//	void u64(const std::string& name, uint64_t val) override;
//
//	void b(const std::string& name, bool val) override {}
//
//	void i(const std::string& name, int val) override;
//
//	void f(const std::string& name, float val) override;
//
//	void s(const std::string& name, const std::string& val) override;
//
//	void raw(const std::string& name, const void *val, int len) override {}
//
//	void ptr(const std::string& name, void *val) override {}
//
//	void registerPtr(const std::string& type, void *val) override {}
//
//	void startArray(const std::string& name, int length) override;
//
//	void endArray(const std::string& name) override;
//
//	void startObject(const std::string& name) override;
//
//	void endObject(const std::string&) override;
//
//	void finish() override;
//
//private:
//
//	std::string fname;
//	json11::Json::array data;
//};
//
//} // sl
//
//#endif // SL_JSONSERIALIZE_HPP