#ifndef SL_SERIALIZABLE_HPP
#define SL_SERIALIZABLE_HPP

#include "Engine/Serialization/Serialization.hpp"

namespace sl
{

class Serializable
{
public:
	virtual ~Serializable() {}

	virtual void serialize(Serialize& out) const {}

	virtual void deserialize(Deserialize& in) {}

	virtual std::string serializationType() const
	{
		return "Don't fucking serialize this";
	}

	virtual bool shouldSerialize() const
	{
		return false;
	}
};

} // sl

#define DECLARE_SERIALIZABLE_METHODS(C) \
	void serialize(Serialize& out) const override; \
	void deserialize(Deserialize& in) override; \
	std::string serializationType() const override { return #C; } \
	bool shouldSerialize() const override { return true; }

#endif // SL_SERIALIZABLE_HPP