#ifndef SL_TILESERIALIZATION_HPP
#define SL_TILESERIALIZATION_HPP

#include "Town/TownTiles.hpp"
#include "Utility/Grid.hpp"

namespace sl
{

class Serialize;

class Deserialize;

extern bool serializeTiles(Serialize& serialize, const Grid<TileType>& tiles);

extern bool deserializeTiles(Deserialize& deserialize, Grid<TileType>& tiles);

} // sl

#endif // SL_TILESERIALIZATION_HPP