//#include "Home/Internet/Internet.hpp"
//
//#include "Engine/Graphics/Sprite.hpp"
//#include "Engine/GUI/Button.hpp"
//#include "Engine/GUI/DrawableContainer.hpp"
//#include "Engine/GUI/NormalBackground.hpp"
//#include "Engine/GUI/TextLabel.hpp"
//#include "Home/Internet/Computer.hpp"
//#include "Home/Internet/Wiki.hpp"
//#include "Utility/Assert.hpp"
//
//namespace sl
//{
//
//const int URLBAR_HEIGHT = 32;
//const int BACK_WIDTH = 32;
//const int FORWARD_WIDTH = 32;
//const int CLOSE_WIDTH = 32;
//
//Internet::Internet(const Rect<int>& box, Computer& computer)
//	:GUIWidget(box)
//	,computer(computer)
//{
//	this->applyBackground(gui::NormalBackground(sf::Color::White, sf::Color(188, 188, 188)));
//
//	urlbar = new gui::TextLabel(Rect<int>(box.left + BACK_WIDTH + FORWARD_WIDTH,
//	                                 box.top,
//	                                 box.width - BACK_WIDTH - FORWARD_WIDTH - CLOSE_WIDTH,
//	                                 URLBAR_HEIGHT),
//	                                 "faggot", gui::TextLabel::Left, gui::TextLabel::Middle, 16, 0);
//	urlbar->setColour(sf::Color::Black);
//	urlbar->applyBackground(gui::NormalBackground(sf::Color::White, sf::Color(32, 32, 32)));
//	this->addWidget(std::unique_ptr<GUIWidget>(urlbar));
//
//	webpage = new gui::Scrollbar(Rect<int>(box.left, box.top + URLBAR_HEIGHT, box.width, box.height - URLBAR_HEIGHT));
//	this->addWidget(std::unique_ptr<GUIWidget>(webpage));
//
//	Rect<int> buttonRect(box.left, box.top, BACK_WIDTH, URLBAR_HEIGHT);
//	back = new gui::Button(buttonRect,
//	                  std::unique_ptr<gui::TextLabel>(new gui::TextLabel(buttonRect, "<<", gui::TextLabel::Center, gui::TextLabel::Middle, 0, 0)),
//	                  sf::Color(32, 32, 32), sf::Color::Black,
//	                  gui::NormalBackground(sf::Color(188, 188, 188), sf::Color::Black),
//	                  gui::NormalBackground(sf::Color(123, 123, 123), sf::Color(32, 32, 32))
//
//	);
//	back->registerMouseInputEvent(Key::GUIClick, GUIWidget::InputEventType::Pressed, std::bind(&Internet::goBack, this));
//	this->addWidget(std::unique_ptr<GUIWidget>(back));
//
//	buttonRect.left += BACK_WIDTH;
//	buttonRect.width = FORWARD_WIDTH;
//	forward = new gui::Button(buttonRect,
//	                     std::unique_ptr<gui::TextLabel>(new gui::TextLabel(buttonRect, ">>", gui::TextLabel::Center, gui::TextLabel::Middle, 0, 0)),
//	                     sf::Color(32, 32, 32), sf::Color::Black,
//	                     gui::NormalBackground(sf::Color(188, 188, 188), sf::Color::Black),
//	                     gui::NormalBackground(sf::Color(123, 123, 123), sf::Color(32, 32, 32))
//
//	);
//	forward->registerMouseInputEvent(Key::GUIClick, GUIWidget::InputEventType::Pressed, std::bind(&Internet::goForward, this));
//	this->addWidget(std::unique_ptr<GUIWidget>(forward));
//
//	buttonRect.left = box.width - CLOSE_WIDTH;
//	buttonRect.width = CLOSE_WIDTH;
//	close = new gui::Button(buttonRect,
//	                   std::unique_ptr<gui::TextLabel>(new gui::TextLabel(buttonRect, " X ", gui::TextLabel::Center, gui::TextLabel::Middle, 0, 0)),
//	                   sf::Color(32, 32, 32), sf::Color::Black,
//	                   gui::NormalBackground(sf::Color(188, 188, 188), sf::Color::Black),
//	                   gui::NormalBackground(sf::Color(123, 123, 123), sf::Color(32, 32, 32))
//
//	);
//	close->registerMouseInputEvent(Key::GUIClick, GUIWidget::InputEventType::Pressed, std::bind(&Computer::shutdown, &computer));
//	this->addWidget(std::unique_ptr<GUIWidget>(close));
//
//	this->initDB();
//
//	//this->visitPage("home");
//}
//
//Internet::~Internet()
//{
//	for (auto& website : websites)
//	{
//		delete website.second;
//	}
//}
//
//void Internet::visitPage(const std::string& url)
//{
//	if (this->isUpdating())
//	{
//		this->callThisLater(std::bind(&Internet::visitPage, this, url));
//	}
//	else
//	{
//		auto it = websites.find(url);
//		Website *site = it != websites.end() ? it->second : websites["404"];
//
//		urlbar->setString("https://" + url);
//		webpage->setScrollArea(std::unique_ptr<GUIWidget>(site->visit()));
//		webpage->setVerticalScroll(0.f);
//		backSiteList.push_back(site);
//		if (!forwardSiteList.empty())
//		{
//			forwardSiteList.clear();
//		}
//	}
//}
//
///*		private		*/
//gui::GUIWidget* Internet::pageNotFoundPage()
//{
//	GUIWidget *ret = new GUIWidget(Rect<int>(384, 200));
//	std::string str("404 - page not found");
//	gui::TextLabel *pageText = new gui::TextLabel(Rect<int>(360, 64), str, gui::TextLabel::Left, gui::TextLabel::Top, 32, 32);
//	pageText->setColour(sf::Color::Black);
//	ret->addWidget(std::unique_ptr<gui::GUIWidget>(pageText));
//	ret->applyBackground(gui::NormalBackground(sf::Color(222, 222, 222), sf::Color::Black));
//	return ret;
//}
//
//gui::GUIWidget* Internet::homepage()
//{
//	GUIWidget *ret = new GUIWidget(Rect<int>(384, 300));
//	std::string str("Welcome to eLoli.com where you can buy and sell little girls with other pedophiles. You sick fuck.");
//	gui::TextLabel *pageText = new gui::TextLabel(Rect<int>(32, 32, 360, 64), str);
//	pageText->setColour(sf::Color::Black);
//	ret->addWidget(std::unique_ptr<gui::GUIWidget>(pageText));
//	ret->applyBackground(gui::NormalBackground(sf::Color::Black, sf::Color(222, 222, 222)));
//
//	pageText = new gui::TextLabel(Rect<int>(32, 124, 300, 300), "Click here for hardcore child pornography!");
//	//pageText->extendVerticallyToFitText();
//	gui::Button *hyperlink = new gui::Button(std::unique_ptr<gui::TextLabel>(pageText), sf::Color::Blue, sf::Color::Magenta);
//	hyperlink->registerMouseInputEvent(Key::GUIClick, GUIWidget::InputEventType::Pressed, std::bind(&Internet::visitPage, this, "boards.4chan.org/vg/"));
//	ret->addWidget(std::unique_ptr<GUIWidget>(hyperlink));
//
//	pageText = new gui::TextLabel(Rect<int>(32, 148, 300, 300), "Click here for the most lewd site on the net.");
//	//pageText->extendVerticallyToFitText();
//	hyperlink = new gui::Button(std::unique_ptr<gui::TextLabel>(pageText), sf::Color::Blue, sf::Color::Magenta);
//	hyperlink->registerMouseInputEvent(Key::GUIClick, GUIWidget::InputEventType::Pressed, std::bind(&Internet::visitPage, this, "boards.4chan.org/jp/"));
//	ret->addWidget(std::unique_ptr<GUIWidget>(hyperlink));
//
//	pageText = new gui::TextLabel(Rect<int>(32, 172, 300, 300), "Click here for the loli blog");
//	//pageText->extendVerticallyToFitText();
//	hyperlink = new gui::Button(std::unique_ptr<gui::TextLabel>(pageText), sf::Color::Blue, sf::Color::Magenta);
//	hyperlink->registerMouseInputEvent(Key::GUIClick, GUIWidget::InputEventType::Pressed, std::bind(&Internet::visitPage, this, "loliblog.com"));
//	ret->addWidget(std::unique_ptr<GUIWidget>(hyperlink));
//
//
//	return ret;
//}
//
//gui::GUIWidget* Internet::lolinet()
//{
//	return nullptr;
//}
//
//
//gui::GUIWidget* Internet::blog()
//{
//	gui::GUIWidget *ret = new gui::GUIWidget(Rect<int>(384, 900));
//	// @todo fix the Wiki class instead of doing stuff here
//	int yPos = 16;
//	auto paragraph = [&](const char *str)
//	{
//		gui::TextLabel *pageText = new gui::TextLabel(Rect<int>(0, yPos, 384, 64), str, gui::TextLabel::Left, gui::TextLabel::Top, 32, 8);
//		pageText->extendVerticallyToFitText();
//		pageText->setColour(sf::Color(72, 48, 72));
//		yPos += pageText->getBox().height;
//		ret->addWidget(std::unique_ptr<GUIWidget>(pageText));
//	};
//	paragraph("December 27th");
//	paragraph("Today I saw a really cute little girl in the resteraunt. She had blonde hair that was about nipple-length and was in a natural, un-tied style. Her eyes were a brilliant blue and her smile brought joy to my sad, empty heart. That cute smile of hers was made even cuter by the single missing tooth in her top middle two teeth. I suppose it was one of the first teeth she had lost.");
//	paragraph("She was wearing a pastel cyan hoodie with the face of an animal on it. The strings were white and the face of the animal was white as well. The two big, cute eyes were at upper-breast level and there was a pink heart on the left of her shirt a bit below where hers would be.");
//	paragraph("The girl was playing card games with her family. She really seemed to be enjoying herself. I sure wish I could have innocent fun like that again, instead of getting my kicks from being aroused by little girls. Just being able to cuddle that adorable little girl would be amazing though. I bet she's really soft and warm and cuddly.");
//	paragraph("I can't believe I would want to do such awful things to such a cute girl made of nothing but pureness and happiness. What the hell is wrong with me? I think I'll stop dwelling on this subject since it won't go anywhere besides back to depression.");
//
//	paragraph("\nJanuary 6th");
//	paragraph("Here I wait at the bus stop, and what do I see? A perfect little girl waiting with her father. She has straight dark blonde hair down a bit past her shoulder. I wonder how old she is? Maybe 7 or 8. She keeps calling her father \"Daddy\" and it's more than my heart can take.");
//	paragraph("Her daddy brought with them a bag full of colouring books, which she eagerly fills in while humming. If only I had a cute daughter like that. She even said \"I love you, Daddy!\", hugged him then gave him a kiss on the cheek. She's wearing a green winter jacket with a pink trim.");
//	paragraph("I hope it's keeping her cute little body nice and warm, as it's awfully cold out. She's got on black tights, so maybe her legs are a little cold. Under that warm jacket of hers lies a bright blue tshirt with a cute yellow duck quacking. Now she's getting up to go and use the washroom.");
//	paragraph("I wish I could watch her pee, I bet it would be so adorable! Even just hearing it would be nice... being able to reach out and feel it would be absolutely heavenly. Yikes! Now I'm thinking about having her sit on my lap with my throbbing cock sliding between her soft, smooth thighs as a torrent of warm golden loli pee streams down along it, accompanied by her playful giggling.");
//	paragraph("I really ought to go though, as someone might notice me observing her, or see the throbbing erection that's growing within my pants.");
//
//	ret->setSize(ret->getBox().width, yPos);
//
//	ret->applyBackground(gui::NormalBackground(sf::Color(236, 192, 211), sf::Color::Black));
//	return ret;
//}
//
//gui::GUIWidget* Internet::agdg()
//{
//	GUIWidget *ret = new GUIWidget(Rect<int>(384, 1004));
//	ret->addWidget(std::unique_ptr<GUIWidget>(new gui::DrawableContainer(Rect<int>(384, 1004), std::unique_ptr<Drawable>(new Sprite("agdg.png")))));
//	//ret->applyBackground(NormalBackground(sf::Color(222, 222, 222), sf::Color::Black));
//	return ret;
//}
//
//gui::GUIWidget* Internet::jp()
//{
//	GUIWidget *ret = new GUIWidget(Rect<int>(384, 1004));
//	ret->addWidget(std::unique_ptr<GUIWidget>(new gui::DrawableContainer(Rect<int>(384, 1004), std::unique_ptr<Drawable>(new Sprite("jp.png")))));
//	//ret->applyBackground(NormalBackground(sf::Color(222, 222, 222), sf::Color::Black));
//	return ret;
//}
//
//void Internet::goBack()
//{
//	if (backSiteList.size() > 1)
//	{
//		forwardSiteList.push_back(backSiteList.back());
//		backSiteList.pop_back();
//		Website *website = backSiteList.back();
//		GUIWidget *siteWidget = website->visit();
//		urlbar->setString("https://" + website->getURL());
//		webpage->setScrollArea(std::unique_ptr<GUIWidget>(siteWidget));
//		webpage->setVerticalScroll(0.f);
//	}
//}
//
//void Internet::goForward()
//{
//	if (forwardSiteList.size() > 1)
//	{
//		backSiteList.push_back(forwardSiteList.back());
//		forwardSiteList.pop_back();
//		Website *website = forwardSiteList.back();
//		GUIWidget *siteWidget = website->visit();
//		urlbar->setString("https://" + website->getURL());
//		webpage->setScrollArea(std::unique_ptr<GUIWidget>(siteWidget));
//		webpage->setVerticalScroll(0.f);
//	}
//}
//
//void Internet::initDB()
//{
//	websites.clear();
//
//	addSite(std::bind(&Internet::pageNotFoundPage, this), "404");
//	addSite(std::bind(&Internet::homepage, this), "home");
//	addSite(std::bind(&Internet::agdg, this), "boards.4chan.org/vg/");
//	addSite(std::bind(&Internet::jp, this), "boards.4chan.org/jp/");
//	addSite(std::bind(&Wiki::testPage, this), "en.wikipedia.org/wiki/SimLoli");
//	addSite(std::bind(/*&Wiki::loliblog*/&Internet::blog, this), "loliblog.com");
//}
//
//void Internet::addSite(std::function<gui::GUIWidget*()> generator, const std::string& url)
//{
//	websites[url] = new Website(generator, url);
//}
//
//} // sl
