//#ifndef SL_WIKI_HPP
//#define SL_WIKI_HPP
//
//#include <sstream>
//#include <memory>
//#include <memory>
//
//#include "Engine/GUI/GUIWidget.hpp"
//
//namespace sf
//{
//class Font;
//class Text;
//}
//
//namespace sl
//{
//
//class Internet;
//
//class Wiki
//{
//public:
//
//	static gui::GUIWidget* testPage(Internet *internet);
//
//	static gui::GUIWidget* loliblog(Internet *internet);
//
//private:
//	class Link
//	{
//	public:
//		Link(const std::string& text, const std::string& target)
//			:text(text)
//			,target(target)
//		{
//		}
//
//		const std::string text;
//		const std::string target;
//	};
//
//	class ParagraphMetadata
//	{
//	public:
//		ParagraphMetadata(const sf::Text& text);
//
//		const sf::Font* font;
//		const unsigned int fontSize;
//		int lineWidth;
//		const int spaceSize;
//		int y;
//	};
//
//	Wiki(Internet& internet);
//	~Wiki();
//
//
//	template <typename T, typename... Args>
//	void addParagraph(const T& head, Args&&... tail);
//
//	template <typename T, typename... Args>
//	void addParagraphHelper(ParagraphMetadata& metadata, const T& head, Args&&... tail);
//
//	template <typename T>
//	void addParagraphHelper(ParagraphMetadata& metadata, const T& head);
//
//	template <typename T>
//	void addParagraphComponent(ParagraphMetadata& metadata, const T& component);
//
//	/**
//	 * target=null -> not a link
//	 */
//	std::unique_ptr<gui::GUIWidget> addText(ParagraphMetadata& metadata, const std::string& text, const char *target = nullptr) const;
//
//	gui::GUIWidget* create();
//
//
//
//	std::stringstream text;
//
//	Internet& internet;
//	std::unique_ptr<gui::GUIWidget> page;
//};
//
//} // sl
//
//#endif // SL_WIKI_HPP
