#ifndef SL_ITEMPICKUP_HPP
#define SL_ITEMPICKUP_HPP

#include "Engine/Serialization/DeserializeConstructor.hpp"
#include "Engine/Entity.hpp"
#include "Items/Item.hpp"

namespace sl
{

class ItemPickup : public Entity
{
public:
	DECLARE_SERIALIZABLE_METHODS(ItemPickup)

	ItemPickup(DeserializeConstructor);

	ItemPickup(Vector2f pos, Item item);

	const Item& getItem() const;

	const Type getType() const override;

private:
	void onUpdate() override;

	Item item;
	float hover;
};

} // sl

#endif // SL_ITEMPICKUP_HPP