#ifndef SL_THROWITEMACTION_HPP
#define SL_THROWITEMACTION_HPP

#include "Items/ItemUseAction.hpp"

namespace sl
{

class Item;

class ThrowItemAction : public ItemUseAction
{
public:
	ThrowItemAction(Item& item);

	bool canUse(const NPC& npc) const override;

	UseResult use(NPC& targetNPC) override;

private:
	Item& item;
};

} // sl

#endif // SL_THROWITEMACTION_HPP