#ifndef SL_INGAMEMENUCONTROLLER_HPP
#define SL_INGAMEMENUCONTROLLER_HPP

#include "Engine/Input/Controller.hpp"
#include "Engine/GUI/WidgetHandle.hpp"
#include "Menus/HUD.hpp"
#include "Engine/Entity.hpp"

namespace sl
{

class InGameMenuController : public Entity
{
public:
	InGameMenuController(const PlayerStats& stats);


	const Types::Type getType() const override;

private:
	void onUpdate() override;
	void onEnter() override;
	void onExit() override;

	gui::WidgetHandle<gui::HUD> hud;
	const PlayerStats& stats;
};

} // sl

#endif // SL_INGAMEMENUCONTROLLER_HPP