#ifndef SL_PHOTOVIEWER_HPP
#define SL_PHOTOVIEWER_HPP

#include "Engine/GUI/GUIWidget.hpp"

namespace sl
{

class Player;

namespace gui
{

class TextLabel;

class PhotoViewer : public GUIWidget
{
public:
	PhotoViewer(Player& player);

private:
	void onUpdate(int x, int y) override;

	void close();

	void cyclePhotos(int cycle);

	Player& player;
	int index;
	GUIWidget *photoDrawable;
	TextLabel *text;

};

} // gui
} // sl

#endif // SL_PHOTOVIEWER_HPP