#ifndef SL_AI_CANHEAR_HPP
#define SL_AI_CANHEAR_HPP

#include <memory>
#include <string>

#include "NPC/Behaviors/BehaviorTreeNode.hpp"

namespace sl
{
namespace ai
{

class CanHear : public BehaviorTreeNode
{
public:
	CanHear(float concernLevel);

	CanHear(float concernLevel, const std::string& resultSaveLocation);


	Result execute(BehaviorContext& context) override;


private:
	float concernLevel;
	std::string resultSaveLocation;
};

} // ai
} // sl

#endif // SL_AI_CANHEAR_HPP