#ifndef SL_AI_CHECKTIME_HPP
#define SL_AI_CHECKTIME_HPP

#include "NPC/Behaviors/BehaviorTreeNode.hpp"
#include "Utility/Time/GameTime.hpp"
#include "Utility/Time/RecurringTimeInterval.hpp"

namespace sl
{
namespace ai
{

class CheckTime : public BehaviorTreeNode
{
public:
	CheckTime(const RecurringTimeInterval& requiredTime);

	Result execute(BehaviorContext& context) override;


private:

	RecurringTimeInterval requiredTime;
};

} // ai
} // sl

#endif // SL_AI_CHECKTIME_HPP