#ifndef SL_AI_CHLOROFORMED_HPP
#define SL_AI_CHLOROFORMED_HPP

#include "NPC/Behaviors/BehaviorTreeNode.hpp"

#include <memory>

namespace sl
{
namespace ai
{

class Chloroformed : public BehaviorTreeNode
{
public:
	Chloroformed();

	Result execute(BehaviorContext& context) override;

	void abort(BehaviorContext& context) override;

private:
	std::unique_ptr<BehaviorTreeNode> talk;
};

} // ai
} // sl

#endif // SL_AI_CHLOROFORMED_HPP