#ifndef SL_BLOOD_HPP
#define SL_BLOOD_HPP

#include "Engine/Entity.hpp"

namespace sl
{

class Blood : public Entity
{
public:
	Blood(int x, int y, float xspeed = 0, float yspeed = 0);

	const Types::Type getType() const override;
private:
	/*	  Entity private methods	  */
	void onUpdate() override;
	
	/*	  Blood private methods	   */
	float xspeed, yspeed;
	int timer;
};

} // sl

#endif // SL_BLOOD_HPP
