#ifndef SL_DAILYSIMULATION_HPP
#define SL_DAILYSIMULATION_HPP

#include "Utility/Time/GameTime.hpp"

namespace sl
{

class Soul;

class DailySimulation
{
public:
	DailySimulation(Soul& npc);

	void simulate(const GameTime& begin, const GameTime& end);

	void simulateSchoolInteractions();

	void simulateHomeInterations();

private:
	Soul& npc;
};

} // sl

#endif // SL_DAILYSIMULATION_HPP