#include "NPC/Locators/BehaviorContextStoredTargetLocator.hpp"

#include "NPC/Behaviors/BehaviorContext.hpp"
#include "Utility/Assert.hpp"

namespace sl
{

BehaviorContextStoredTargetLocator::BehaviorContextStoredTargetLocator(const std::string& var)
	:var(var)
{
}


Target BehaviorContextStoredTargetLocator::findTarget() const
{
	ERROR("This needs a BehaviorContext to work");
	return Target();
}

Target BehaviorContextStoredTargetLocator::findTarget(ai::BehaviorContext& context) const
{
	return *context.getData<Target>(var);
}

} // sl
