#ifndef SL_FIXEDTARGETLOCATOR_HPP
#define SL_FIXEDTARGETLOCATOR_HPP

#include "NPC/Locators/TargetLocator.hpp"
#include "Engine/Entity.hpp"

namespace sl
{

class FixedTargetLocator : public TargetLocator
{
public:
	DECLARE_SERIALIZABLE_METHODS(FixedTargetLocator)

	FixedTargetLocator(const Target& wrappedTarget);


	Target findTarget() const override;

private:
	Target wrappedTarget;
};

} // sl

#endif // SL_FIXEDTARGETLOCATOR_HPP