#ifndef SL_MULTITARGETLOCATOR_HPP
#define SL_MULTITARGETLOCATOR_HPP

#include "NPC/Locators/Target.hpp"

#include <vector>

namespace sl
{

namespace ai
{
class BehaviorContext;
} // ai

class MultiTargetLocator
{
public:
	virtual ~MultiTargetLocator() {}

	virtual std::vector<Target> findTargets() const = 0;

	virtual std::vector<Target> findTargets(ai::BehaviorContext& context) const
	{
		return findTargets();
	}
};

} // sl

#endif // SL_MULTITARGETLOCATOR_HPP