#ifndef SL_TARGETLOCATOR_HPP
#define SL_TARGETLOCATOR_HPP

#include "Engine/Serialization/Serializable.hpp"
#include "NPC/Locators/Target.hpp"

namespace sl
{

namespace ai
{
class BehaviorContext;
} // ai

class TargetLocator : public Serializable
{
public:
	virtual ~TargetLocator() {}

	virtual Target findTarget() const = 0;

	virtual Target findTarget(ai::BehaviorContext& context) const
	{
		return findTarget();
	}
};

} // sl

#endif // SL_TARGETLOCATOR_HPP