#ifndef SL_NPCPHOTO_HPP
#define SL_NPCPHOTO_HPP

#include "NPC/NPCAppearance.hpp"

#include <memory>
#include <string>

#include <SFML/Graphics/Color.hpp>

namespace sl
{

class Drawable;
class Entity;

class NPCPhoto
{
public:
	static sf::Color getColorFromSurroundings(const Entity *entity);

	std::unique_ptr<Drawable> makeDrawable() const;

	sf::Color background;
	NPCAppearance data;
	std::string pose;
	std::string action;
	std::string face;
	//Rect<int> bounds; TODO: support cropped stuff
};

} // sl

#endif // SL_NPCPHOTO_HPP