#include "NPC/NPCSpriteLayers.hpp"

#include <map>

namespace sl
{

NPCSpriteLayer strToNPCSpriteLayer(const std::string& str)
{
	static const std::map<std::string, NPCSpriteLayer> stringToSpriteLayers = {
		{ "body", NPCSpriteLayer::Body },
		{ "hair_back", NPCSpriteLayer::HairBack },
		{ "hair_front", NPCSpriteLayer::HairFront },
		{ "face", NPCSpriteLayer::Face },
		{ "outfit", NPCSpriteLayer::Outfit },
		{ "accessory", NPCSpriteLayer::Accessory },
		{ "bra", NPCSpriteLayer::Bra },
		{ "panties", NPCSpriteLayer::Panties },
		{ "outfit", NPCSpriteLayer::Socks }
	};
	auto layer = stringToSpriteLayers.find(str);
	return layer != stringToSpriteLayers.end()
		? layer->second
		: NPCSpriteLayer::Unsupported;
}

} // sl
