#ifndef SL_NPCSTATUSGUI_HPP
#define SL_NPCSTATUSGUI_HPP

#include "Engine/GUI/GUIWidget.hpp"

namespace sl
{

class Soul;

class NPCStatusGUI : public gui::GUIWidget
{
public:
	NPCStatusGUI(int x, int y, Soul& soul);



private:
	enum class Tab
	{
		Main,
		Clothing,
		Health,
		Sexual,
		Mating
	};
	
	void changeTab(Tab tab);

	void createStatDisplay(int col, int row, const std::string& name, float value);

	void createStatDisplay(int col, int row, const std::string& name, const std::string& value);

	void addSubstateWidget(std::unique_ptr<gui::GUIWidget> widget);


	Soul& soul;
	std::vector<gui::GUIWidget*> substateWidgets;
};

} // sl

#endif // SL_NPCSTATUSGUI_HPP
