#ifndef SL_IDLESTATE_HPP
#define SL_IDLESTATE_HPP

#include <memory>

#include "NPC/NPCState.hpp"
#include "NPC/Behaviors/BehaviorTreeNode.hpp"

// @todo refactor this all into KidnappedState

namespace sl
{

class UrinePuddle;

class IdleState : public NPCState
{
public:
	IdleState(NPC& owner);

	void update() override;

private:

	void onSceneEnter() override;

	void findNewWaypoint();

	Vector2f off;
	UrinePuddle *puddle;
	int peeCooldown;
	std::unique_ptr<ai::BehaviorTreeNode> behavior;
};

}

#endif