#ifndef SL_KIDNAPPEDSTATE_HPP
#define SL_KIDNAPPEDSTATE_HPP

#include <memory>

#include "NPC/NPCState.hpp"
#include "NPC/Behaviors/BehaviorTreeNode.hpp"

namespace sl
{

class Player;

class KidnappedState : public NPCState
{
public:
	KidnappedState(NPC& owner);

	void update() override;

private:
	void handleEvent(const Event& event) override;

	void onEnter() override;

	std::unique_ptr<ai::BehaviorTreeNode> behavior;
};

} // sl

#endif // SL_KIDNAPPEDSTATE_HPP