#ifndef SL_SHOPKEEPERSTATE_HPP
#define SL_SHOPKEEPERSTATE_HPP

#include <memory>

#include "NPC/Behaviors/BehaviorTreeNode.hpp"
#include "NPC/NPCState.hpp"


namespace sl
{

class ShopkeeperState : public NPCState
{
public:
	ShopkeeperState(NPC& owner, const std::string& dialogueStart);

	void update() override;

private:

	std::string dialogueStart;
	std::unique_ptr<ai::BehaviorTreeNode> behavior;
};

} // sl

#endif // SL_SHOPKEEPERSTATE_HPP