#ifndef SL_TODDLERSTATE_HPP
#define SL_TODDLERSTATE_HPP

#include <memory>

#include "NPC/NPCState.hpp"
#include "NPC/Behaviors/BehaviorTreeNode.hpp"

namespace sl
{

class ToddlerState : public NPCState
{
public:
	ToddlerState(NPC& owner);

	void update() override;

private:

	void onEnter() override;

	std::unique_ptr<ai::BehaviorTreeNode> behavior;
};

} // sl

#endif // SL_TODDLERSTATE_HPP