#include "NPC/Stealth/SuspicionContext.hpp"

#include "NPC/NPC.hpp"

namespace sl
{

SuspicionContext::SuspicionContext(NPC& self)
	:self(self)
{
}

const GameTime& SuspicionContext::time() const
{
	return world().getGameTime();
}

const Scene& SuspicionContext::scene() const
{
	return *self.getScene();
}

const World& SuspicionContext::world() const
{
	return *self.getWorld();
}

const NPC& SuspicionContext::selfNPC() const
{
	return self;
}

const Soul& SuspicionContext::selfSoul() const
{
	return *self.getSoul();
}

} // sl
