#include "Parsing/Binding/Arguments.hpp"

#include "Parsing/Binding/Parameters.hpp"

namespace sl
{
namespace ls
{

Arguments::Arguments(const Bindings& boundContext, const Parameters& params)
	:boundContext(boundContext)
	,params(params)
{
}

Value Arguments::operator[](int index) const
{
	return params.getParameter(boundContext, index);
}

int Arguments::count() const
{
	return params.size();
}

const Bindings& Arguments::getContext() const
{
	return boundContext;
}

} // ls
} // sl