#ifndef SL_LS_BOUNDSTRING_HPP
#define SL_LS_BOUNDSTRING_HPP

#include <string>

#include "Parsing/Binding/BoundVar.hpp"

namespace sl
{
namespace ls
{

class BoundString : public BoundVar
{
public:
	BoundString(std::string& reference);

	void set(const Value& value) override;

	Value get() const override;
private:
	std::string& string;
};

} // sl
} // ls

#endif // SL_LS_BOUNDSTRING_HPP
