#ifndef SL_LS_EXPRESSION_HPP
#define SL_LS_EXPRESSION_HPP

#include "Parsing/Binding/Value.hpp"
#include "Parsing/SyntaxTree/SyntaxTreeNode.hpp"

namespace sl
{
namespace ls
{

class Bindings;

class Expression : public SyntaxTreeNode
{
public:
	virtual ~Expression() {}

	Value evaluate(const Bindings& context) const;

protected:
	Expression(const std::string& file, int uniqueId);
	
	virtual Value onEvaluate(const Bindings& context) const = 0;
};

} // ls
} // sl

#endif // SL_LS_EXPRESSION_HPP
