#include "Parsing/SyntaxTree/SyntaxTreeNode.hpp"

namespace sl
{
namespace ls
{

SyntaxTreeNode::SyntaxTreeNode(const std::string& filename, int uniqueId)
	:uniqueId(filename + " + " + std::to_string(uniqueId))
	,filename(filename)
{
}

const std::string& SyntaxTreeNode::getUniqueId() const
{
	return uniqueId;
}

const std::string& SyntaxTreeNode::getFilename() const
{
	return filename;
}

} // ls
} // sl