#ifndef SL_PF_INCACHEDPATH_HPP
#define SL_PF_INCACHEDPATH_HPP

#include "Pathfinding/PathfindingCommon.hpp"

namespace sl
{
namespace pf
{

class InCachedPath
{
public:
	InCachedPath(const Path& cachedPath);

	bool operator()(const NodeID& node, ai::BehaviorContext*) const;

private:
	const Path::LookUp *cached;
	//! Here so we can reconstruct the path end
	//std::deque<Node>::const_iterator cachedEnd;
};

} // pf
} // sl

#endif // SL_PF_INCACHEDPATH_HPP