#ifndef SL_PF_OR_HPP
#define SL_PF_OR_HPP

#include "Pathfinding/PathfindingCommon.hpp"

#include <initializer_list>

namespace sl
{
namespace pf
{

class Or
{
public:
	Or(std::initializer_list<NodePredicate> predicates);

	bool operator()(const NodeID& node, ai::BehaviorContext *context) const;

private:

	std::initializer_list<NodePredicate> predicates;
};

} // pf
} // sl

#endif // SL_PF_OR_HPP