#ifndef SL_PLAYERCONSUMEITEMACTION_HPP
#define SL_PLAYERCONSUMEITEMACTION_HPP

#include "Player/Actions/PlayerAction.hpp"

namespace sl
{

class PlayerConsumeItemAction : public PlayerAction
{
public:
	PlayerConsumeItemAction(int itemType);

	std::string getName() const override;

	std::string getShortName() const override;

	std::unique_ptr<Drawable> getIcon() const override;

	Usability canUse(Player& player, NPC *target) const override;

	float use(Player& player, NPC *target) override;

private:
	int itemType;
};

} // sl

#endif // SL_PLAYERCONSUMEITEMACTION_HPP