#ifndef SL_PLAYERSTRIPACTION_HPP
#define SL_PLAYERSTRIPACTION_HPP

#include "Player/Actions/PlayerAction.hpp"

namespace sl
{

class PlayerStripAction : public PlayerAction
{
public:
	PlayerStripAction();

	std::string getName() const override;

	std::unique_ptr<Drawable> getIcon() const override;

	Usability canUse(Player& player, NPC *target) const override;

	float use(Player& player, NPC *target) override;

	void abort() override;

private:
	//! Progress through the CURRNET article of clothing
	float progress;
};

} // sl

#endif // SL_PLAYERSTRIPACTION_HPP