/**
 * @section DESCRIPTION
 * Holds all the player's data.
 */
#ifndef SL_PLAYERSTATS_HPP
#define SL_PLAYERSTATS_HPP

#include "Engine/Input/Key.hpp"
#include "Items/Hotbar.hpp"
#include "Items/Inventory.hpp"
#include "NPC/Stats/Soul.hpp"
#include "Player/StalkingData.hpp"

namespace sl
{

class PlayerStats
{
   /*	pretend there are stats here	*/
public:
	PlayerStats(std::shared_ptr<Soul> soul);


	void serialize(Serialize& out) const;

	void deserialize(Deserialize& in);

	// loli-mode!
	std::shared_ptr<Soul> soul;
	int money;
	//! Penis circumference in cm
	float girth;
	ls::Flags permFlags;
	//! TODO: remove the hotbar? has it been 100% replaced by the ActionChooser menu? (also it's annoying to serialize this class how it is here)
	//Hotbar hotbar;
	CustomAction currentActionId;

	StalkingData stalkingData;
};

}// End of sl namespace

#endif // SL_PLAYERSTATS_HPP
