#include "Police/Crime.hpp"

namespace sl
{

int Crime::currentID = 0;

Crime::Crime()
	:victim(-1)
	,id(-1)
{
}

Crime::Crime(Type type, uint64_t victimID, bool consensual)
	:type(type)
	,victim(victimID)
	,id(currentID++)
	,consensual(consensual)
{
}

} // sl