#ifndef SL_DESERIALIZATIONALLOCATORS_HPP
#define SL_DESERIALIZATIONALLOCATORS_HPP

#include <functional>
#include <map>
#include <memory>
#include <string>

namespace sl
{

class Game;
class Serializable;

extern std::map<std::string, std::function<std::unique_ptr<Serializable>()>> deserializationAllocators(Game *game);

} // sl

#endif // SL_DESERIALIZATIONALLOCATORS_HPP