#ifndef SL_TOWNGEN_ENTITYPROTOTYPE_HPP
#define SL_TOWNGEN_ENTITYPROTOTYPE_HPP

#include "Utility/Vector.hpp"

namespace sl
{

class Scene;
class Random;

namespace map
{
class MapStaticEntityData;
} // map

namespace towngen
{

class EntityPrototype
{
public:
	virtual ~EntityPrototype() {}

	virtual void generate(Random& rng, Scene& scene, int tileSize, map::MapStaticEntityData& minimapStaticEntityData, const Vector2i& offset) const = 0;

protected:
	EntityPrototype() {}
};

}	//	end of towngen namespace
}	//	end of sl namespace

#endif // SL_TOWNGEN_ENTITYPROTOTYPE_HPP