#ifndef SL_TOWNGEN_TOWNGENMINIMAP_HPP
#define SL_TOWNGEN_TOWNGENMINIMAP_HPP

#include <SFML/Graphics/Image.hpp>

#include <vector>

#include "Town/Generation/StaticEntityPrototype.hpp"
#include "Town/TownTiles.hpp"
#include "Utility/Grid.hpp"

namespace sl
{

namespace map
{
class MapData;
class MapStaticEntityData;
}

namespace towngen
{

extern sf::Image createMapTexture(const map::MapData& mapData);

extern sf::Image createMapTexture(const Grid<TileType>& mapData);

extern sf::Image createMapTexture(const Grid<TileType>& mapData, const std::vector<StaticEntityPrototype>& staticEntities);

} // towngen
} // sl

#endif // SL_TOWNGEN_TOWNGENMINIMAP_HPP