#ifndef SL_ROAD_HPP
#define SL_ROAD_HPP

#include <string>

namespace sl
{

class Road
{
public:
	enum class Orientation
	{
		Horizontal,
		Vertical
	};

	Road(const std::string& name, Orientation orientation, int x, int y, int length);

	const std::string& getName() const;

private:
	std::string name;
	Orientation orientation;
	int x;
	int y;
	int length;
};

} // sl

#endif // SL_ROAD_HPP
