#ifndef SL_DATATOSTRING_HPP
#define SL_DATATOSTRING_HPP

#include <string>

namespace sl
{

std::string formatAge(int ageInDays, bool showMonths = false, bool showDays = false);

std::string formatWeight(float weightInKg);

std::string formatHeight(float heightInCm);

std::string formatLength(float lengthInCm);

std::string formatPercent(float percent);

class GameDate;

std::string formatDateShort(const GameDate& date);

std::string formatDateLong(const GameDate& date);

class TimeOfDay;

std::string formatTime(const TimeOfDay& time);

// should this be here?
extern const char * const dayNames[7];
extern const char * const monthNames[12];

} // sl

#endif // SL_DATATOSTRING_HPP
