#include "Utility/FileUtil.hpp"

#include <fstream>

namespace sl
{

std::vector<std::string> fileToLines(const char* filename)
{
	std::vector<std::string> strings;
	std::fstream file(filename, std::fstream::in);

	while (file)
	{
		std::string buffer;
		std::getline(file, buffer);
		if (!buffer.empty() && buffer.back() == '\r')
			buffer.pop_back();
		strings.push_back(buffer);

	}
	return strings;
}

} // sl

