#ifndef SL_INTERPOLATOR_HPP
#define SL_INTERPOLATOR_HPP

namespace sl
{

template <typename T, typename U = float>
class Interpolator
{
public:
	virtual ~Interpolator() {}

	virtual T interpolate(const U& x) const = 0;
};

} // sl

#endif // SL_INTERPOLATOR_HPP
