#ifndef SL_DISJOINTSET_HPP
#define SL_DISJOINTSET_HPP

#include <vector>

namespace sl
{

class JoinableSet
{
public:
	JoinableSet(int n);

	int getComponent(int u);

	void join(int u, int v);

	int componentSize(int component) const;

private:
	struct Node
	{
		int parent;
		int rank;
		int order;
	};
	std::vector<Node> nodes;
};

} // sl

#endif // SL_DISJOINTSET_HPP