#include "Utility/SentenceFormation.hpp"

namespace sl
{

std::string concatAdjectives(const std::vector<std::string>& adjectives, const std::string noun)
{
	std::string output;
	if (!adjectives.empty())
	{
		auto it = adjectives.begin();
		for (auto end = adjectives.end(); it != end; ++it)
		{
			output += *it;
			if ((it + 1) == adjectives.end())
			{
				output += " ";
			}
			else
			{
				output += ", ";
			}
		}
	}
	output += noun;
	return output;
}


} // sl
