#include "Utility/StringUtil.hpp"

namespace sl
{

void splitBy(std::vector<std::string>& wordsOut, const std::string& input, char delimeter)
{
	bool isValid = false;
	for (auto it = input.begin(), f = it; it != input.end(); ++it)
	{
		if (!isValid && *it != delimeter)
		{
			isValid = true;
			f = it;
		}
		if (isValid)
		{
			if (*it == delimeter)
			{
				wordsOut.push_back(std::string(f, it));
				isValid = false;
			}
			else if ((it + 1) == input.end())
			{
				wordsOut.push_back(std::string(f, it + 1));
				isValid = false;
			}
		}
	}
}

} // sl
