#ifndef SL_TYPETOSTRING_HPP
#define SL_TYPETOSTRING_HPP

namespace sl
{

// generic case purposefully not defined
template <typename T>
const char* TypeToString();

} // sl

#define STR(Type) #Type

#define DECLARE_TYPE_TO_STRING(Type) template <> const char* TypeToString<Type>() { return STR(Type); }

#endif // SL_TYPETOSTRING_HPP
