#ifndef SL_ANIMATION_HPP
#define SL_ANIMATION_HPP

#include "Engine/Graphics/Drawable.hpp"

namespace sl
{

class Animation : public Drawable
{
public:
	virtual ~Animation() {}

	/**
	* Checks if the animation repeats or not
	* @return true if repeats
	*/
	virtual bool isRepeating() const = 0;

	virtual void setFrame(int frameIndex) = 0;

	virtual int getFrameCount() const = 0;
};

} // sl

#endif // SL_ANIMATION_HPP