#ifndef SL_COLORSWAPLOADER_HPP
#define SL_COLORSWAPLOADER_HPP

#include "json11/json11.hpp"

#include <string>
#include <map>

#include <SFML/Graphics/Color.hpp>

#include "Engine/Graphics/ColorSwapID.hpp"

namespace sl
{

typedef std::map<std::string, sf::Color> BaseColor;

ColorSwapID loadSwap(const BaseColor& base, const json11::Json::object& json);

std::map<std::string, ColorSwapID> loadSwaps(const json11::Json::object& json);

std::map<std::string, ColorSwapID> loadSwapsFile(const std::string& file);

} // sl

#endif // SL_COLORSWAPLOADER_HPP