#ifndef SL_SERIALIZESOUL_HPP
#define SL_SERIALIZESOUL_HPP

#include "NPC/Stats/Soul.hpp"

#include <memory>

namespace sl
{

class Deserialize;
class Serialize;

namespace AutoDeserialize
{
void deserialize(Deserialize& in, std::shared_ptr<Soul>& val);
} // AutoDeserialize

namespace AutoSerialize
{
void serialize(Serialize& out, const std::shared_ptr<Soul>& val);
} // AutoSerialize

} // sl

#endif // SL_SERIALIZESOUL_HPP