#ifndef SL_TYPES_HPP
#define SL_TYPES_HPP

#include <vector>
#include <unordered_map>
#include <initializer_list>
#include <string>

namespace sl
{

class Types
{
public:
	typedef std::string Type;

	static const std::vector<std::string> getTypeMembers(const std::string& type);
	//static inline std::vector<std::string>::iterator typeBegin(const std::string& type);
	//static inline std::vector<std::string>::iterator typeEnd(const std::string& type);
	static void addAggregateType(const std::string& type, const std::initializer_list<const std::string>& members);
private:
	static std::unordered_map<std::string, std::vector<std::string> > types;
	//  Temporary tree structure used to properly generate things
	class Node
	{
	};
};

}

#endif
