#ifndef SL_COMPUTER_HPP
#define SL_COMPUTER_HPP

#include "Engine/Entity.hpp"
#include "Engine/GUI/WidgetHandle.hpp"
#include "Home/Internet/Internet.hpp"
#include "Engine/GUI/TextLabel.hpp"

namespace sl
{

class Computer : public Entity
{
public:
	DECLARE_SERIALIZABLE_METHODS(Computer)

	Computer(int x, int y);

	bool isStatic() const override;

	const Type getType() const override;

	void shutdown();


private:

	void onUpdate() override;

	//gui::WidgetHandle<Internet> internet;
	bool inUse;
};

}

#endif