//#ifndef SL_INTERNET_HPP
//#define SL_INTERNET_HPP
//
//#include <string>
//#include <map>
//#include <functional>
//#include "Engine/GUI/GUIWidget.hpp"
//#include "Engine/GUI/Scrollbar.hpp"
//#include "Home/Internet/Website.hpp"
//
//namespace sl
//{
//
//namespace gui
//{
//class TextLabel;
//class Button;
//} // gui
//
//class Computer;
//
//class Internet : public gui::GUIWidget
//{
//public:
//	Internet(const Rect<int>& box, Computer& computer);
//	~Internet();
//
//	void visitPage(const std::string& url);
//
//
//private:
//	// disallow copying
//	Internet(const Internet&);
//	Internet& operator=(const Internet&);
//
//	void initDB();
//	void goBack();
//	void goForward();
//	void addSite(std::function<gui::GUIWidget*()> generator, const std::string& url);
//
//	/*			sites			*/
//	gui::GUIWidget* pageNotFoundPage();
//	gui::GUIWidget* homepage();
//	gui::GUIWidget* lolinet();
//	gui::GUIWidget* blog();
//	gui::GUIWidget* agdg();
//	gui::GUIWidget* jp();
//
//	Computer& computer;
//	gui::TextLabel *urlbar;
//	gui::Scrollbar *webpage;
//	gui::Button *back;
//	gui::Button *forward;
//	gui::Button *close;
//	std::map<std::string, Website* > websites;
//	std::vector<Website*> forwardSiteList;
//	std::vector<Website*> backSiteList;
//};
//
//} // SL
//
//#endif // SL_INTERNET_HPP
