/**
 * @DESCRIPTION Used to advance time. Will be used for sleeping later.
 */
#ifndef SL_PLAYERBED_HPP
#define SL_PLAYERBED_HPP

#include "Engine/Entity.hpp"

namespace sl
{

class PlayerBed : public Entity
{
public:
	DECLARE_SERIALIZABLE_METHODS(PlayerBed)
	PlayerBed(int x, int y);

	bool isStatic() const override;

	const Type getType() const override;


private:

	void onUpdate() override;
};

} // sl

#endif // SL_PLAYERBED_HPP