#include "Items/ItemUseAction.hpp"

#include "Items/ItemUseTarget.hpp"

#include <algorithm>

namespace sl
{

bool ItemUseAction::getTargets(std::vector<NPC*> output, const ItemUseTarget& useTarget, const Target& target) const
{
	useTarget.query(output, target);
	output.erase(std::remove_if(output.begin(), output.end(), [this](NPC* npc) { return !canUse(*npc); }), output.end());
	return !output.empty();
}

bool ItemUseAction::canUse(const NPC& npc) const
{
	return true;
}

} // sl