#ifndef SL_SUBDUEUSEACTION_HPP
#define SL_SUBDUEUSEACTION_HPP

#include "Items/ItemUseAction.hpp"

namespace sl
{

class Item;

class SubdueUseAction : public ItemUseAction
{
public:
	SubdueUseAction(Item& item);

	bool canUse(const NPC& npc) const override;

	UseResult use(NPC& targetNPC) override;

private:
	Item& item;
	int time;
};

} // sl

#endif // SL_SUBDUEUSEACTION_HPP