#ifndef SL_GUI_INPUTMENU_HPP
#define SL_GUI_INPUTMENU_HPP

#include <functional>
#include <memory>

#include "Engine/GUI/GUIWidget.hpp"

namespace sl
{

class ControllerBinds;

namespace gui
{

extern std::unique_ptr<GUIWidget> makeKeybindMenu(ControllerBinds& controls, const std::function<void()>& onBack);

extern std::unique_ptr<GUIWidget> makeGamepadConfigurationMenu(const std::function<void()>& onBack);

} // gui
} // sl

#endif // SL_GUI_INPUTMENU_HPP