#ifndef SL_ANIMATION_SEQUENCE_HPP
#define SL_ANIMATION_SEQUENCE_HPP

#include "Utility/Sequencer/SequencedEvent.hpp"

namespace sl
{

class Animation;

class AnimationSequence : public SequencedEvent
{
public:
	AnimationSequence(Animation& animation);

	bool sequence() override;

	bool isInstantaneouslySequenced() const override;

	void resetSequence() override;


private:

	Animation& animation;
};

} // sl

#endif // SL_ANIMATION_SEQUENCE_HPP