#ifndef SL_AI_NOT_HPP
#define SL_AI_NOT_HPP

#include <memory>

#include "NPC/Behaviors/BehaviorTreeNode.hpp"

namespace sl
{
namespace ai
{

class Not : public BehaviorTreeNode
{
public:
	Not(std::unique_ptr<BehaviorTreeNode> node);


	Result execute(BehaviorContext& context) override;

	void abort(BehaviorContext& context) override;


private:
	std::unique_ptr<BehaviorTreeNode> node;
};

} // ai
} // sl

#endif // SL_AI_NOT_HPP