#ifndef SL_AI_PEENODE_HPP
#define SL_AI_PEENODE_HPP

#include <memory>

#include "NPC/Behaviors/BehaviorTreeNode.hpp"

namespace sl
{

class UrinePuddle;

namespace ai
{

class PeeNode : public BehaviorTreeNode
{
public:
	PeeNode(bool makePuddle);

	Result execute(BehaviorContext& context) override;

	void abort(BehaviorContext& context) override;

private:
	UrinePuddle *puddle;
	int peeCooldown;
	const bool makePuddle;
};

} // ai
} // sl

#endif // SL_AI_PEENODE_HPP