#ifndef SL_CLOTHINGLAYERS_HPP
#define SL_CLOTHINGLAYERS_HPP

#include <cstdint>

#include "NPC/ClothingType.hpp"

namespace sl
{

namespace ClothingLayers
{

enum Flag : uint8_t
{
	// actual layers
	Body = 1,
	Panties = 2,
	Bra = 4,
	Socks = 8,
	Outfit = 16,
	Accessory = 32,


	// derived layers
	Underwear = Panties | Bra,
	AllClothes = Underwear | Socks | Outfit | Accessory
};

class Object
{
public:
	Object();

	uint8_t toFlag() const;

	void fromFlag(uint8_t flag);

	bool& fromEnum(ClothingType type);

	bool fromEnum(ClothingType type) const;

	bool panties;
	bool bra;
	bool socks;
	bool outfit;
	bool accessory;
};

} // ClothingLayers
} // sl

#endif // SL_CLOTHINGLAYERS_HPP