#ifndef SL_ATTRIBUTE_HPP
#define SL_ATTRIBUTE_HPP

#include <functional>

namespace sl
{

class Attribute
{
public:
	Attribute(float normalLowerEnd, float normalUpperEnd, const std::function<float()>& value);


	float getValue() const;
	
	float getExpectedDifference() const;


private:

	float normalLowerEnd;
	float normalUpperEnd;
	std::function<float()> value;
};

} // sl

#endif // SL_ATTRIBUTE_HPP