#ifndef SL_LIFEEVENT_HPP
#define SL_LIFEEVENT_HPP

#include <functional>
#include <string>

#include "NPC/Stats/PersonalityModifiers.hpp"

namespace sl
{

class LifeEvent
{
public:
	// TODO: figure out where to put more elaborate effects. Should it be here? should I allow loliscript?
	PersonalityModifiers personalityModifiers;
	std::function<float(int)> diminshingReturns;
	struct Association
	{
		std::string concept1;
		std::string concept2;
		float weight;
	};
	std::vector<Association> associations;
};

} // sl

#endif // SL_LIFEEVENT_HPP