#ifndef SL_BEHAVIORCONTEXTSTOREDTARGETLOCATOR_HPP
#define SL_BEHAVIORCONTEXTSTOREDTARGETLOCATOR_HPP

#include "NPC/Locators/TargetLocator.hpp"

#include <string>

namespace sl
{

class BehaviorContextStoredTargetLocator : public TargetLocator
{
public:
	BehaviorContextStoredTargetLocator(const std::string& var);


	Target findTarget() const override;

	Target findTarget(ai::BehaviorContext& context) const override;

private:
	std::string var;
};

} // sl

#endif // SL_BEHAVIORCONTEXTSTOREDTARGETLOCATOR_HPP