#ifndef SL_CUSTOMTARGETLOCATOR_HPP
#define SL_CUSTOMTARGETLOCATOR_HPP

#include "NPC/Locators/TargetLocator.hpp"

#include <functional>

namespace sl
{

class CustomTargetLocator : public TargetLocator
{
public:
	CustomTargetLocator(std::function<Target(ai::BehaviorContext&)> customTarget);


	Target findTarget() const override;

	Target findTarget(ai::BehaviorContext& context) const override;

private:
	std::function<Target(ai::BehaviorContext&)> customTarget;
};

} // sl

#endif // SL_CUSTOMTARGETLOCATOR_HPP