#include "NPC/Locators/FixedTargetLocator.hpp"

namespace sl
{

FixedTargetLocator::FixedTargetLocator(const Target& wrappedTarget)
	:wrappedTarget(wrappedTarget)
{
}


Target FixedTargetLocator::findTarget() const
{
	return wrappedTarget;
}

void FixedTargetLocator::deserialize(Deserialize& in)
{
	AutoDeserialize::deserialize(in, wrappedTarget);
}

void FixedTargetLocator::serialize(Serialize& out) const
{
	AutoSerialize::serialize(out, wrappedTarget);
}

} // sl
