#include "NPC/NPCPhoto.hpp"

#include "NPC/LayeredSpriteLoader.hpp"

namespace sl
{

/*static*/sf::Color NPCPhoto::getColorFromSurroundings(const Entity *entity)
{
	return sf::Color(91, 171, 71); // GRASS (TODO: make it depend on the tile she's on)
}

std::unique_ptr<Drawable> NPCPhoto::makeDrawable() const
{
	return LayeredSpriteLoader::createPortrait(LayeredSpriteLoader::Config(data, pose, 256), action.c_str(), face.c_str());
}

} // sl