#ifndef SL_NPCSPRITELAYERS_HPP
#define SL_NPCSPRITELAYERS_HPP

#include <string>

namespace sl
{

enum class NPCSpriteLayer
{
	Unsupported = -1,
	Body = 0,
	HairBack,
	HairFront,
	// Disabled (in old uses(Layerloader/clothes stuff), but here for animations) due to faces being treated differently and there being no immediate need for this.
	Face,
	Outfit,
	Accessory,
	Bra,
	Panties,
	Socks
};

/**
 * Converts a string to NPCSpriteLayer - unknown strings return Unsupported.
 */
extern NPCSpriteLayer strToNPCSpriteLayer(const std::string& str);

} // sl

#endif // SL_NPCSPRITELAYERS_HPP