#ifndef SL_DRAGGEDSTATE_HPP
#define SL_DRAGGEDSTATE_HPP

#include "NPC/NPCState.hpp"

namespace sl
{

class CrimeEntity;
class Player;

class DraggedState : public NPCState
{
public:
	DraggedState(NPC& owner, Player& player);

	void update() override;

private:
	void onEnter() override;

	void onExit() override;


	Player& player;
	CrimeEntity *kidnappingCrime;

	// flailing anim stuff:
	static const int n = 1024;
	int t;
	float brownian[n];
};

} // sl

#endif // SL_DRAGGEDSTATE_HPP