#ifndef SL_LOLIROUTINESTATE_HPP
#define SL_LOLIROUTINESTATE_HPP

#include <memory>

#include "NPC/NPCState.hpp"
#include "NPC/Behaviors/BehaviorTreeNode.hpp"

namespace sl
{

class LoliRoutineState : public NPCState
{
public:
	LoliRoutineState(NPC& owner);

	void update() override;

private:

	void handleEvent(const Event& event) override;

	void onEnter() override;

	std::unique_ptr<ai::BehaviorTreeNode> behavior;
};

} // sl

#endif // SL_LOLIROUTINESTATE_HPP