#ifndef SL_URINEPUDDLE_HPP
#define SL_URINEPUDDLE_HPP

#include "NPC/Urine.hpp"
#include "Engine/Entity.hpp"

namespace sl
{

class UrinePuddle : public Entity
{
public:
	UrinePuddle(int x, int y, const Urine& urine);

	const Types::Type getType() const override;

	void addFluid(const Urine& toAdd);

private:
	void onUpdate() override;

	void updateFluid();



	int timer;
	Urine urine;
	sf::CircleShape *puddle;
};

}

#endif // SL_URINEPUDDLE_HPP
