#ifndef SL_LS_ARGUMENTS_HPP
#define SL_LS_ARGUMENTS_HPP

#include "Parsing/Binding/Value.hpp"

namespace sl
{
namespace ls
{

class Bindings;
class Parameters;

class Arguments
{
public:
	Arguments(const Bindings& boundContext, const Parameters& params);

	Value operator[](int index) const;

	int count() const;

	const Bindings& getContext() const;

private:
	const Bindings& boundContext;
	const Parameters& params;
};

} // ls
} // sl

#endif // SL_LS_ARGUMENTS_HPP