#ifndef SL_LS_SYNTAXERROR_HPP
#define SL_LS_SYNTAXERROR_HPP

#include <exception>
#include <string>

namespace sl
{
namespace ls
{

class SyntaxError : public std::exception
{
public:
	SyntaxError(const std::string& info);
	SyntaxError(const SyntaxError& base, const std::string& info);//appends info to base
	virtual ~SyntaxError() throw() {}

	virtual const char * what() const throw();
private:
	std::string info;
};

} // ls
} // sl

#endif // SL_LS_SYNTAXERROREXCEPTION_HPP
