#ifndef SL_LS_DIALOGUEPARSER_HPP
#define SL_LS_DIALOGUEPARSER_HPP

#include <vector>
#include <string>
#include <memory>
#include "NPC/Dialogue/Scenario.hpp"

namespace sl
{
namespace ls
{

class ExpressionParser;

// note: filename is WITHOUT the extension and WITHOUT the path to the dialogue files
[[deprecated("use FileParser::readDialogueFile")]]
extern std::unique_ptr<const Scenario> parseDialogueFile(const std::string& filename);

// identifier is WITHOUT the extension and WITHOUT the path
extern std::unique_ptr<const Scenario> parseDialogueStrings(ExpressionParser& expressionParser, const std::string& identifier, const std::vector<std::string>& strings);

extern std::string fullPathFromDialogueIdentifier(const std::string& dialogueName);

} // ls
} // sl

#endif // SL_LS_DIALOGUEPARSER_HPP
