#include "Parsing/SyntaxTree/Expressions/Expression.hpp"

#include "Parsing/Binding/Bindings.hpp"

namespace sl
{
namespace ls
{

Expression::Expression(const std::string& filename, int uniqueId)
	:SyntaxTreeNode(filename, uniqueId)
{
}

Value Expression::evaluate(const Bindings& context) const
{
	Bindings::Mark mark(context, this);
	return onEvaluate(context);
}

} // ls
} // sl