#include "Pathfinding/NodePredicates/InCachedPath.hpp"
#include "Utility/FlatMap.hpp"

namespace sl
{
namespace pf
{

InCachedPath::InCachedPath(const Path& cachedPath)
	:cached(&cachedPath.getLookup())
	//,cachedEnd(cachedPath.getNodes().cend())
{
}

bool InCachedPath::operator()(const NodeID& node, ai::BehaviorContext*) const
{
	return cached->find(node) != cached->end();
}

} // pf
} // sl