#include "Pathfinding/NodePredicates/IsNode.hpp"

namespace sl
{
namespace pf
{

IsNode::IsNode(const NodeID& target)
	:target(target)
{
}


bool IsNode::operator()(const NodeID& node, ai::BehaviorContext*) const
{
	return target == node;
}

} // pf
} // sl