#ifndef SL_PF_ISNODE_HPP
#define SL_PF_ISNODE_HPP

#include "Pathfinding/NodeID.hpp"

namespace sl
{

namespace ai
{
class BehaviorContext;
} // ai

namespace pf
{

class IsNode
{
public:
	IsNode(const NodeID& target);


	bool operator()(const NodeID& node, ai::BehaviorContext*) const;

private:
	NodeID target;
};

} // pf
} // sl

#endif // SL_PF_ISNODE_HPP