#ifndef SL_PLAYERACTIONFACTORY_HPP
#define SL_PLAYERACTIONFACTORY_HPP

#include "Engine/Input/Controller.hpp"
#include "Player/Actions/PlayerAction.hpp"

namespace sl
{

extern std::vector<CustomAction> getUniqueActions();

extern std::vector<CustomAction> getItemActions(int itemId);

extern std::unique_ptr<PlayerAction> playerActionFromId(CustomAction id);

} // sl

#endif // SL_PLAYERACTIONFACTORY_HPP