#ifndef SL_PLAYERGRABACTION_HPP
#define SL_PLAYERGRABACTION_HPP

#include "Player/Actions/PlayerAction.hpp"

namespace sl
{

class PlayerGrabAction : public PlayerAction
{
public:
	std::string getName() const override;

	std::unique_ptr<Drawable> getIcon() const override;

	Usability canUse(Player& player, NPC *target) const override;

	float use(Player& player, NPC *target) override;
};

} // sl

#endif // SL_PLAYERGRABACTION_HPP