#ifndef SL_PLAYERCARRYINGSTATE_HPP
#define SL_PLAYERCARRYINGSTATE_HPP

#include <memory>

#include "Player/PlayerState.hpp"

namespace sl
{

class CrimeEntity;
class NPC;

class PlayerCarryingState : public PlayerState
{
public:
	PlayerCarryingState(Player& player, NPC& kidnapee);

	void update() override;

	void onSceneEnter() override;

	void onSceneExit() override;

private:

	void onExit() override;


	NPC& kidnapee;
	CrimeEntity *kidnappingCrime;
};

} // namespace sl

#endif // SL_PLAYERCARRYINGSTATE_HPP
