#ifndef SL_PLAYERDRIVINGSTATE_HPP
#define SL_PLAYERDRIVINGSTATE_HPP

#include "Engine/Input/Controller.hpp"
#include "Player/PlayerState.hpp"
//remove:
#include <deque>
#include "Pathfinding/CarConfig.hpp"
namespace sl
{

class Car;
class CarControls;

class PlayerDrivingState : public PlayerState
{
public:
	PlayerDrivingState(Player& player, Car& car, CarControls& carControls);


	void update() override;

	void onSceneEnter() override;

	void onSceneExit() override;


private:

	CarControls& carControls;
	Car& car;
	// TODO: remove. just for testing.
	std::deque<pf::CarConfig> configPath;
};

} // namespace sl

#endif // SL_PLAYERDRIVINGSTATE_HPP
