#ifndef SL_TIRESKID_HPP
#define SL_TIRESKID_HPP

#include "Engine/Entity.hpp"

namespace sl
{

class Sprite;

class TireSkid : public Entity
{
public:
	TireSkid(float x, float y, bool bloodbath = false);

	void join(const TireSkid *newNext);

	const Types::Type getType() const;
protected:
	void onUpdate();

private:
	const TireSkid *next;
	Sprite *sprite;
	int lifetime;
	bool bloodbath;
};

}

#endif
