#ifndef SL_TOWNGEN_REQUIREDBUILDINGS_HPP
#define SL_TOWNGEN_REQUIREDBUILDINGS_HPP

#include <map>
#include <string>

namespace sl
{
namespace towngen
{

class CreatedRequired
{
public:
	CreatedRequired()
		:created(0)
		,required(0)
	{
	}
	CreatedRequired(int required)
		:created(0)
		,required(required)
	{
	}

	int created;
	int required;
};
typedef std::map<std::string, CreatedRequired> RequiredCountList;

} // towngen
} // sl

#endif // SL_TOWNGEN_REQUIREDBUILDINGS_HPP