#ifndef SL_GRAPHCLUSTERING_HPP
#define SL_GRAPHCLUSTERING_HPP

#include <vector>

#include "Utility/Matrix.hpp"

namespace sl
{

extern std::vector<std::vector<int>> weightedDirectedClusters(const Matrix<float>& adjacencyMatrix, int maxGroupSize, float joinThreshold);

extern std::vector<std::vector<int>> mergeLeftoversGreedily(const Matrix<float>& adjacencyMatrix, int maxGroupSize, float mergeThreshold, const std::vector<std::vector<int>>& firstPhaseComponents);

} // sl

#endif // SL_GRAPHCLUSTERING_HPP