#ifndef SL_MACROUTIL_HPP
#define SL_MACROUTIL_HPP

//#define MU_NARG(...) MU_NARG_(__VA_ARGS__, MU_RSEQ_N())
//#define MU_NARG_(...) MU_ARG_N(__VA_ARGS__)
//#define MU_ARG_N( \
//	 _1,  _2,  _3,  _4,  _5,  _6,  _7,  _8,  _9, _10, \
//	_11, _12, _13, _14, _15, _16, _17, _18, _19, _20, \
//	_21, _22, _23, _24, _25, _26, _27, _28, _29, _30, \
//	_31, _32, _33, _34, _35, _36, _37, _38, _39, _40, \
//	_41, _42, _43, _44, _45, _46, _47, _48, _49, _50, \
//	_51, _52, _53, _54, _55, _56, _57, _58, _59, _60, \
//	_61, _62, _63, N, ...) N
//#define MU_RSEQ_N()             63, 62, 61, \
//	60, 59, 58, 57, 56, 55, 54, 53, 52, 51, \
//	50, 49, 48, 47, 46, 45, 44, 43, 42, 41, \
//	40, 39, 38, 37, 36, 35, 34, 33, 32, 31, \
//	30, 29, 28, 27, 26, 25, 24, 23, 22, 21, \
//	20, 19, 18, 17, 16, 15, 14, 13, 12, 11, \
//	10,  9,  8, 7, 6, 5, 4,  3,  2,  1,  0
#include <tuple>
#define MU_NARG(...) std::tuple_size<decltype(std::make_tuple(__VA_ARGS__))>::value

#define MU_CONCAT(arg1, arg2) MU_CONCAT_IMPL_1(arg1, arg2)
#define MU_CONCAT_IMPL_1(arg1, arg2) MU_CONCAT_IMPL_2(arg1, arg2)
#define MU_CONCAT_IMPL_2(arg1, arg2) arg1##arg2


#define MU_VA_MAP_IMPL_1(f, head, ...) f(head)
#define MU_VA_MAP_IMPL_2(f, head, ...) f(head), MU_VA_MAP_IMPL_1(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_3(f, head, ...) f(head), MU_VA_MAP_IMPL_2(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_4(f, head, ...) f(head), MU_VA_MAP_IMPL_3(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_5(f, head, ...) f(head), MU_VA_MAP_IMPL_4(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_6(f, head, ...) f(head), MU_VA_MAP_IMPL_5(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_7(f, head, ...) f(head), MU_VA_MAP_IMPL_6(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_8(f, head, ...) f(head), MU_VA_MAP_IMPL_7(f, __VA_ARGS__)
#define MU_VA_MAP_IMPL_N(N, f, ...) MU_CONCAT(MU_VA_MAP_IMPL_, N)(f, __VA_ARGS__)
#define MU_VA_MAP(f, ...)  MU_VA_MAP_IMPL_N(MU_NARG(__VA_ARGS__), f, __VA_ARGS__)

#endif // SL_MACROUTIL_HPP