#ifndef SL_SEQUENCED_EVENT_HPP
#define SL_SEQUENCED_EVENT_HPP

namespace sl
{

class SequencedEvent
{
public:
	virtual ~SequencedEvent() {}

	virtual bool sequence() = 0;

	virtual bool isInstantaneouslySequenced() const = 0;

	virtual void resetSequence() {}

protected:
	SequencedEvent() {}
};

}

#endif