#ifndef TRIG_HPP
#define TRIG_HPP

#include <cmath>
#include "Utility/Vector.hpp"

namespace sl
{

static constexpr float pi = 3.14159265f;

float lengthdirX(float length, float dir);

float lengthdirY(float length, float dir);

Vector2<float> lengthdir(float length, float dir);


float pointDistance(const Vector2<float>& a, const Vector2<float>& b);

float pointDistance(float x1, float y1, float x2, float y2);


float pointDirection(const Vector2<float>& a, const Vector2<float>& b);

float direction(const Vector2f& a);

float pointDirection(float x1, float y1, float x2, float y2);

}

#endif


